Bug 434525 - scim-hangul failed massrebuild attempt for GCC 4.3
scim-hangul failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: scim-hangul (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hu Zheng
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:33 EST by Jesse Keating
Modified: 2013-01-09 22:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 01:41:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:33:23 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=448021
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 John Poelstra 2008-02-29 15:38:29 EST
build failed on ppc64

make[2]: Entering directory `/builddir/build/BUILD/scim-hangul-0.3.2/src'
if /bin/sh ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I..
   -I/usr/include/scim-1.0   -I/usr/include/hangul-1.0  
-DSCIM_ICONDIR=\"/usr/share/scim/icons\"
-DSCIM_HANGUL_LOCALEDIR=\"/usr/share/locale\"
-DSCIM_HANGUL_DATADIR=\"/usr/share/scim/hangul\"
-DSCIM_HANGUL_ICON_FILE=\"/usr/share/scim/icons/scim-hangul.png\" -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mminimal-toc -MT
hangul_la-scim_hangul_imengine.lo -MD -MP -MF
".deps/hangul_la-scim_hangul_imengine.Tpo" -c -o
hangul_la-scim_hangul_imengine.lo `test -f 'scim_hangul_imengine.cpp' || echo
'./'`scim_hangul_imengine.cpp; \
	then mv -f ".deps/hangul_la-scim_hangul_imengine.Tpo"
".deps/hangul_la-scim_hangul_imengine.Plo"; else rm -f
".deps/hangul_la-scim_hangul_imengine.Tpo"; exit 1; fi
if /bin/sh ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I..
   -I/usr/include/scim-1.0 -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/scim-1.0
-DSCIM_ICONDIR=\"/usr/share/scim/icons\"
-DSCIM_HANGUL_LOCALEDIR=\"/usr/share/locale\"
-DSCIM_HANGUL_DATADIR=\"/usr/share/scim/hangul\"
-DSCIM_HANGUL_ICON_FILE=\"/usr/share/scim/icons/scim-hangul.png\" -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mminimal-toc -MT
hangul_imengine_setup_la-scim_hangul_imengine_setup.lo -MD -MP -MF
".deps/hangul_imengine_setup_la-scim_hangul_imengine_setup.Tpo" -c -o
hangul_imengine_setup_la-scim_hangul_imengine_setup.lo `test -f
'scim_hangul_imengine_setup.cpp' || echo './'`scim_hangul_imengine_setup.cpp; \
	then mv -f ".deps/hangul_imengine_setup_la-scim_hangul_imengine_setup.Tpo"
".deps/hangul_imengine_setup_la-scim_hangul_imengine_setup.Plo"; else rm -f
".deps/hangul_imengine_setup_la-scim_hangul_imengine_setup.Tpo"; exit 1; fi
mkdir .libs
 g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/scim-1.0
-I/usr/include/hangul-1.0 -DSCIM_ICONDIR=\"/usr/share/scim/icons\"
-DSCIM_HANGUL_LOCALEDIR=\"/usr/share/locale\"
-DSCIM_HANGUL_DATADIR=\"/usr/share/scim/hangul\"
-DSCIM_HANGUL_ICON_FILE=\"/usr/share/scim/icons/scim-hangul.png\" -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mminimal-toc -MT
hangul_la-scim_hangul_imengine.lo -MD -MP -MF
.deps/hangul_la-scim_hangul_imengine.Tpo -c scim_hangul_imengine.cpp  -fPIC
-DPIC -o .libs/hangul_la-scim_hangul_imengine.o
 g++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/include/scim-1.0 -I/usr/include/gtk-2.0
-I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include
-I/usr/include/scim-1.0 -DSCIM_ICONDIR=\"/usr/share/scim/icons\"
-DSCIM_HANGUL_LOCALEDIR=\"/usr/share/locale\"
-DSCIM_HANGUL_DATADIR=\"/usr/share/scim/hangul\"
-DSCIM_HANGUL_ICON_FILE=\"/usr/share/scim/icons/scim-hangul.png\" -O2 -g -pipe
-Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mminimal-toc -MT
hangul_imengine_setup_la-scim_hangul_imengine_setup.lo -MD -MP -MF
.deps/hangul_imengine_setup_la-scim_hangul_imengine_setup.Tpo -c
scim_hangul_imengine_setup.cpp  -fPIC -DPIC -o
.libs/hangul_imengine_setup_la-scim_hangul_imengine_setup.o
scim_hangul_imengine.cpp: In member function 'virtual void
HangulInstance::select_candidate(unsigned int)':
scim_hangul_imengine.cpp:576: warning: comparison between signed and unsigned
integer expressions
scim_hangul_imengine.cpp: In member function 'virtual void
HangulInstance::trigger_property(const scim::String&)':
scim_hangul_imengine.cpp:706: error: 'strlen' was not declared in this scope
make[2]: *** [hangul_la-scim_hangul_imengine.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
scim_hangul_imengine_setup.cpp: In function 'void
on_default_key_selection_clicked(GtkButton*, void*)':
scim_hangul_imengine_setup.cpp:536: error: 'strcmp' was not declared in this scope
make[2]: *** [hangul_imengine_setup_la-scim_hangul_imengine_setup.lo] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/scim-hangul-0.3.2/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/scim-hangul-0.3.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.73688 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.73688 (%build)
EXCEPTION: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target ppc64 --nodeps
//builddir/build/SPECS/scim-hangul.spec'
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.4/site-packages/mock/util.py", line 287, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" %
(command,), ret)
Error: Command failed. See logs for output.
 # bash --login -c 'rpmbuild -bb --target ppc64 --nodeps
//builddir/build/SPECS/scim-hangul.spec'
LEAVE do --> EXCEPTION RAISED
Comment 2 Hu Zheng 2008-03-03 01:41:48 EST
Fixed.

Note You need to log in before you can comment on or make changes to this bug.